Skip site navigation (1) Skip section navigation (2)

Re: Postgresql on dynix/ptx system

From: Peter Eisentraut <peter_e(at)gmx(dot)net>
To: Radek Fleks <radek(dot)fleks(at)olm(dot)pl>
Cc: <pgsql-hackers(at)postgresql(dot)org>
Subject: Re: Postgresql on dynix/ptx system
Date: 2000-12-04 17:24:29
Message-ID: Pine.LNX.4.30.0012041817470.787-100000@peter.localdomain (view raw or flat)
Thread:
Lists: pgsql-hackers
Radek Fleks writes:

> I'm compiling (not, I'm trying to compile) last version of Postgresql on
> Sequent Dynix/ptx ver 4.4.7 system. Under compilation process with gcc (ver
> 2.7.2 ported on dynix/pt) is reporting several errors.

It's not so interesting at this point to port PostgreSQL 7.0.*, given that
PostgreSQL 7.1 should go beta sometime, er, this year.  If you want to
port 7.1 then you should be looking into the following files and/or
directories for platform specific stuff:

configure.in
src/template
src/makefiles
src/include/port
src/Makefile.shlib
src/backend/port/dynloader
src/include/storage/s_lock.h
src/backend/storage/buffer/s_lock.c

Once you have gotten past the fact that configure will complain about your
system not being supported (which you should fix in configure.in and
re-run autoconf), showing actual compiler output will help.

-- 
Peter Eisentraut      peter_e(at)gmx(dot)net       http://yi.org/peter-e/


In response to

pgsql-hackers by date

Next:From: Peter EisentrautDate: 2000-12-04 17:31:17
Subject: Re: compiling pg 7.0.3 on sco 5.0.5
Previous:From: Zeugswetter Andreas SBDate: 2000-12-04 17:08:23
Subject: AW: AW: broken locale in 7.0.2 without multibyte support (F reeBSD 4.1-RELEASE) ?

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group